import { Vector3 } from "three";
import { Dimension } from "./Command_DimContinue";
export declare abstract class DimContinue {
    protected _LastDim: Dimension;
    protected _BasePoint: Vector3;
    StartDraw(lastDim: Dimension): Promise<void>;
    /**
     * 重载: 当绘制开始时,会拷贝标注,此时你可以进行一些操作
     * @param dim
     * @returns and jig draw
     */
    protected abstract CloneDimension(dim: Dimension): Dimension;
    /**
     * 重载:当用户点击的位置改变时,调用这个函数
     * @param p
     * @param dim
     */
    protected abstract UpdateNextPoint(p: Vector3, dim: Dimension): any;
    /**
     * 重载,当绘制时发生
     * @param dim
     */
    protected abstract Drawed(dim: Dimension, p: Vector3): any;
    /**
     * 重载:绘制结束后,将调用这个函数
     */
    protected EndDraw(): void;
}
//# sourceMappingURL=DimContinue.d.ts.map