export declare class OrderDataBlock {
    ID: number;
    BoardName: string;
    BoardType: BoardType;
    BlockID: number;
    Width: number;
    Height: number;
    Thickness: number;
    SpliteWidth: number;
    SpliteHeight: number;
    SpliteThickness: number;
    SealedLeft: number;
    SealedRight: number;
    SealedUp: number;
    SealedDown: number;
    Area: number;
    Wave: WaveType;
    HoleFace: FaceType;
    PaiKong: PaiKongType;
    RemarkID: number;
    RemarkJson: string;
    UnRegularPointCount: number;
    IsHXDJX: boolean;
    FrontHoleCount: number;
    BackHoleCount: number;
    SideHoleCount: number;
    FrontModelCount: number;
    BackModelCount: number;
    IsDoor: boolean;
    OpenDoorType: number;
    CadDataType: CadType;
    CadData: string;
    ModuleID: number;
    BorderLengthHeavy: number;
    BorderLengthLight: number;
    ModuleTypeName: string;
    ModuleName: string;
    RoomName: string;
    BoxName: string;
    ModuleWidth: number;
    ModuleHeight: number;
    ModuleDepth: number;
    BoxWidth: number;
    BoxHeight: number;
    BoxDepth: number;
    BlockName: number;
    GoodsID: number;
    Material: string;
    MaterialName: string;
    Color: string;
    ObjIDs: BlockObjIds;
    KaiLiaoWidth: number;
    KaiLiaoHeight: number;
    RemarkExtra: string;
    AllRemarkList: [string, string][];
}
export declare enum CadType {
    Cad = 1,
    WebCad = 2
}
export declare class BlockObjIds {
    BlockID: number;
    BID: string;
    ObjIDs: string;
}
export declare enum BoardType {
    Layer = 0,
    Vertical = 1,
    Behind = 2
}
export declare enum WaveType {
    正纹 = 0,
    可翻转 = 1,
    反纹 = 2
}
export declare enum FaceType {
    正面 = 0,
    反面 = 1,
    侧面 = 2
}
export declare enum HoleFaceType {
    正面 = 0,
    反面 = 1,
    侧面 = 2
}
export declare enum PaiKongType {
    正面 = 0,
    反面 = 1,
    随意面 = 2
}
//# sourceMappingURL=CadBlock.d.ts.map