import { Singleton } from "../../../Common/Singleton";
import { IConfigOption } from "../../../UI/Components/Board/UserConfigComponent";
import { AnyObject, IUiOption } from "../../../UI/Store/BoardInterface";
import { IConfigStore } from "../../../UI/Store/BoardStore";
import { KJLUseName } from "./KJLConfig";
import { KJLImportConfigOption } from "./KJLImportConfigOption";
export interface MaterialOption {
    keyIndex: number;
    kjlName: string;
    materialName: string;
    url: string;
    isSelect: boolean;
    isRender: boolean;
}
interface ValueMapUiOption {
    m_uiEdgeValueMap: [string, string][];
    m_uiDrillValueMap: [string, string][];
}
export declare class KJLImportConfigStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    m_Option: KJLImportConfigOption;
    kjlUseName: KJLUseName;
    uiOption: IUiOption<ValueMapUiOption>;
    materialList: MaterialOption[];
    selectAll: boolean;
    private queue;
    materialMap: Map<string, Promise<{
        materialName: string;
        url: string;
    }>>;
    ImpExpSuffix: string;
    get UIOption(): IUiOption<ValueMapUiOption>;
    InitOption(): void;
    SaveConfig(): IConfigOption<AnyObject>;
    UpdateOption(cof: IConfigOption<KJLImportConfigOption>): void;
    UpdataVersion(cof: IConfigOption<KJLImportConfigOption>): void;
    private ConvertUIData;
    private OrderUIData;
    LoadMaterials: () => Promise<void>;
    AsyncLoadMaterials: () => Promise<void>;
    GetMaterialInfo: (material_id: string) => Promise<{
        materialName: string;
        url: string;
    }>;
    GetSerializeConfig(conf: IConfigOption<AnyObject>): Promise<any[]>;
    GetDeserializeConfig(data: any[]): Promise<IConfigOption<AnyObject>>;
}
export {};
//# sourceMappingURL=KJLImportConfigStore.d.ts.map