import { Command } from "../Editor/CommandMachine";
import { Vec3 } from "../Geometry/IVec3";
/** 模型类型 */
declare enum KJL_ModelType {
    ParamModel = 1,
    Max3DModel = 2,
    BaseModel = 3,
    VirtualModel = 4
}
interface KJL_Parameter {
    name: string;
    value: string;
}
/** 参数模型 */
interface KJL_ParamModel {
    modelTypeId: KJL_ModelType;
    modelName: string;
    roomId: string;
    modelBrandGoodName: string;
    parameters: KJL_Parameter[];
    ignoreParameters: KJL_Parameter[];
    constParameters: KJL_Parameter[];
    boxSize: Vec3;
    position: Vec3;
    center: Vec3;
    rotate: Vec3;
    baseTexture: string;
    textureName: string;
    textureAngle: number;
    absPosition: Vec3;
    absRotation: Vec3;
    subModels: KJL_ParamModel[];
    id: string;
}
interface KJL_DesignData {
    roomDataList: {
        roomId: string;
        name: string;
    }[];
}
interface KJL_AssemblyModel {
    name: string;
    paramModelIds: string[];
}
interface KJL_JsonFile {
    paramModel: KJL_ParamModel[];
    designData: KJL_DesignData;
    assemblyModels: KJL_AssemblyModel[];
}
export declare class Command_KJLImport implements Command {
    exec(): Promise<void>;
}
export declare function ImportKJLData(fileData: KJL_JsonFile): Promise<void>;
export {};
//# sourceMappingURL=KJLImport.d.ts.map