import { ApplicationService } from "../../ApplicationServices/Application";
import { EBoardKeyList } from "../../Common/BoardKeyList";
import { CADFiler } from "../../DatabaseServices/CADFiler";
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { Editor } from "../../Editor/Editor";
export declare let shareViewApp: ShareViewService;
export declare class ShareViewService extends ApplicationService {
    BoxCtrl: BoxService;
    constructor();
    protected InitService(): void;
    CreateDocument(name?: string): void;
    SendCameraPosToRenderer: () => void;
    LoadFile(f: CADFiler): Promise<void>;
}
export type BoxInfo = {
    [EBoardKeyList.RoomName]?: string;
    [EBoardKeyList.CabinetName]?: string;
};
export declare class BoxService {
    _BoxList: BoxInfo[];
    _BoxDict: {
        [key: string]: Entity[];
    };
    _CabinetFormatData: any;
    get CabinetFormatData(): any;
    get BoxList(): BoxInfo[];
    Init(editor: Editor): Promise<void>;
    SetBoxVisible(index: number, visible: boolean): void;
    SetCabinetFormatData(data: any): void;
    FilterEntities(index: any, predicate: (Entity: any) => boolean): Entity[];
    GetEntities(index: any): Entity[];
    private GetEntityGroupKey;
    private GetBoxInfo;
}
//# sourceMappingURL=Service.d.ts.map