import { ApplicationService } from "../../ApplicationServices/Application";
import { EBoardKeyList } from "../../Common/BoardKeyList";
import { CADFiler } from "../../DatabaseServices/CADFiler";
import { Entity } from "../../DatabaseServices/Entity/Entity";
export declare let shareViewApp: ShareViewService;
export declare class ShareViewService extends ApplicationService {
    BoxCtrl: ShareService;
    constructor();
    protected InitService(): void;
    CreateDocument(name?: string): void;
    SendCameraPosToRenderer: () => void;
    LoadFile(f: CADFiler): Promise<void>;
}
export type BoxInfo = {
    [EBoardKeyList.RoomName]?: string;
    [EBoardKeyList.CabinetName]?: string;
};
export interface ICabinetFormatData {
    [key: number]: ICabinetItemData[];
}
export interface ICabinetItemData {
    roomName: string;
    item: BoxInfo;
    img: string;
    index: number;
}
export declare class ShareService {
    _BoxList: BoxInfo[];
    _BoxDict: {
        [key: string]: Entity[];
    };
    _CabinetFormatData: ICabinetFormatData;
    get CabinetFormatData(): ICabinetFormatData;
    get BoxList(): BoxInfo[];
    Init(): void;
    SetBoxVisible(index: number, visible: boolean): void;
    SetCabinetFormatData(data: ICabinetFormatData): void;
    GetEntities(index: number): Entity[];
    private GetEntityGroupKey;
    private GetBoxInfo;
}
//# sourceMappingURL=ShareViewService.d.ts.map