import { HardwareCuttingReactor } from '../Add-on/BoardCutting/HardwareCuttingReactor';
import { DrillingReactor } from '../Add-on/DrawDrilling/DrillingReactor';
import { CADFiler } from '../DatabaseServices/CADFiler';
import { Database } from '../DatabaseServices/Database';
import { AutoSaveServer } from '../Editor/AutoSave';
import { BoardMoveTool } from '../Editor/BoardMoveTool';
import { CameraControls } from '../Editor/CameraControls';
import { Editor } from '../Editor/Editor';
import { Gesture } from '../Editor/Gesture';
import { LayoutTool } from '../Editor/LayoutTool';
import { Viewer } from '../GraphicsSystem/Viewer';
import { WebRtcRenderer } from '../GraphicsSystem/WebRtcRenderer';
import { CommandReactor } from '../Reactor/CommandReactor';
import { SyncDataReactor } from '../Reactor/SyncDataReactor';
import { WebSocketClientServer } from './WebSocketClientServer';
export declare let app: ApplicationService;
export declare enum CameraRoamType {
    Fly = 0,
    Walk = 1
}
/**
 * webCAD应用.
 */
export declare class ApplicationService {
    Database: Database;
    Viewer: Viewer;
    WebRtcRenderer: WebRtcRenderer;
    Editor: Editor;
    CommandReactor: CommandReactor;
    _drillingReactor: DrillingReactor;
    _hardwareCuttingReactor: HardwareCuttingReactor;
    Saved: boolean;
    MoveTool: BoardMoveTool;
    WebSocket: WebSocketClientServer;
    SyncDataReactor: SyncDataReactor;
    AutoSaveServer: AutoSaveServer;
    LayoutTool: LayoutTool;
    CameraControls: CameraControls;
    Gesture: Gesture;
    CameraRoamType: CameraRoamType;
    CameraFlySpeed: number;
    private _PerCameraUseSkyBox;
    constructor();
    protected InitService(): void;
    SendCameraPosToRenderer(): void;
    get PerCameraUseSkyBox(): boolean;
    set PerCameraUseSkyBox(b: boolean);
    private UpdateBackground;
    InitViewDir(): void;
    CreateDocument(name?: string): void;
    FileOut(): CADFiler;
    /**
     * 文件写出,没有历史记录
     */
    FileOut2(): CADFiler;
    OpenFile(f: CADFiler): void;
}
//# sourceMappingURL=Application.d.ts.map