import { Object3D } from "three";
import { Entity } from "../DatabaseServices/Entity/Entity";
import { ObjectId } from "../DatabaseServices/ObjectId";
export declare const digitStrReg: RegExp;
export declare const commandReg: RegExp;
export declare const onlyEnExpReg: RegExp;
/**替换收口条柜名后缀 */
export declare const ClosingStripReg: RegExp;
export declare const FileFormatReg: RegExp;
/**扣除封边是否相连和连接共用精度 */
export declare const LINK_FUZZ = 0.001;
export declare function IsNumber(keyCode: number): boolean;
export declare function IsChar(keyCode: number): boolean;
export declare function isLetter(s: string): boolean;
export declare function isNum(s: string): boolean;
export declare function clamp(value: number, min: number, max: number): number;
export declare function FixIndex(index: number, arr: Array<any> | number): number;
export declare function formateDate(date: Date, fmt: string): string;
export declare function isBetweenNums(v1: number, v2: number, v: number, fuzz?: number): boolean;
export declare function sliceDeep(arr: object[], start?: number, end?: number): object[];
export declare function copyTextToClipboard(text: string): Promise<void>;
/**
 * 读取剪切板的字符串
 */
export declare function readClipboardText(): Promise<string>;
export declare function FixedNotZero(v: number | string, fractionDigits?: number): string;
/**
 * To fixed
 * @param v
 * @param [fractionDigits]
 */
export declare function ToFixed(v: number, fractionDigits?: number): string;
export declare function GetEntity(obj: Object3D): Entity | undefined;
export declare function IsEntity(obj: Object3D): boolean;
export declare function IsFreeze(obj: Object3D): any;
export declare function IsNoErase(id: ObjectId): boolean;
/**
 * 原图地址转换为对应缩略图地址
 */
export declare function getThumbsUrl(url: string): string;
/**
 * 快速判断a是不是被修改了
 */
export declare function equalObject(a: Object, b: Object): boolean;
export declare function cloneObject<T>(a: T): T;
export declare function Uint8ArrayToBase64(bytes: Uint8Array): string;
/**转换服务端获取的文件大小 */
export declare function getFileSize(size: number): string;
export declare function GetIndexDBID(id: string): string;
export declare function FixDigits(v: number, fractionDigits?: number): number;
/** 有触摸板 */
export declare const isHasTouch: () => boolean;
//# sourceMappingURL=Utils.d.ts.map