/**
 * ArraybufferUtils contains methods to convert from and to ArrayBuffer binary format
 */
export declare class ArraybufferUtils {
    /**
     * Create arraybuffer from binary string
     *
     * @method fromBinaryString
     * @param {String} str
     * @return {Arraybuffer} data
     */
    static fromBinaryString(str: any): ArrayBuffer;
    /**
     * Create arraybuffer from base64 string
     *
     * @method fromBase64
     * @param {String} base64
     * @return {Arraybuffer} data
     */
    static fromBase64(str: any): ArrayBuffer;
    /**
     * Create arraybuffer from Nodejs buffer
     *
     * @method fromBuffer
     * @param {Buffer} buffer
     * @return {Arraybuffer} data
     */
    static fromBuffer(buffer: any): ArrayBuffer;
}
//# sourceMappingURL=ArraybufferUtils.d.ts.map