import { CADFiler } from "./CADFiler";
import { ObjectId } from "./ObjectId";
import { PhysicalMaterialRecord } from "./PhysicalMaterialRecord";
import { SymbolTable } from "./SymbolTable";
export declare class MaterialTable extends SymbolTable {
    protected _CurFloorMtl: ObjectId;
    protected _CurWallMtl: ObjectId;
    protected _CurDrawMtl: ObjectId;
    get CurFloorMtl(): ObjectId<import("./CADObject").CADObject>;
    get CurWallMtl(): ObjectId<import("./CADObject").CADObject>;
    get CurBoardMtl(): ObjectId<import("./CADObject").CADObject>;
    set CurFloorMtl(id: ObjectId<import("./CADObject").CADObject>);
    set CurWallMtl(id: ObjectId<import("./CADObject").CADObject>);
    set CurBoardMtl(id: ObjectId<import("./CADObject").CADObject>);
    get Materials(): Map<string, PhysicalMaterialRecord>;
    Remove(record: PhysicalMaterialRecord): void;
    GetAt(name: string): PhysicalMaterialRecord | undefined;
    Has(name: string): boolean;
    AllocateName(name?: string): string;
    Destroy(): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=MaterialTable.d.ts.map