import { Box3, Vector3 } from "three";
import { CADFiler } from "../../CADFiler";
import { ObjectId } from "../../ObjectId";
import { TemplateMoveAction } from "./TemplateMoveAction";
/**
 * 拽拖比例盒子动作
 */
export declare class TemplateStretchScaleBoxAction extends TemplateMoveAction {
    StretchDirection: Vector3;
    EntityStretchData: {
        entity: ObjectId;
        scaleBox: Box3;
    }[];
    /**
    * 正常不会直接修改下面的2个属性,如果真的需要修改,请调用 `this.WriteAllObjectRecord`;
    * 避免历史记录没有记录更新.
    */
    constructor(StretchDirection?: Vector3, EntityStretchData?: {
        entity: ObjectId;
        scaleBox: Box3;
    }[]);
    protected _Update(dist: number): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
/**
 * 拽拖固定大小盒子动作(弃用)
 */
//# sourceMappingURL=TemplateStretchScaleBoxAction.d.ts.map