import { Intersection, Vector3 } from 'three';
import { KeyWord } from '../Common/InputState';
import { PromptEntityResult, PromptSsgetResult } from './PromptResult';
import { SelectType } from './SelectBox';
import { Filter } from './SelectFilter';
export interface PromptOptions {
    Msg?: string;
    KeyWordList?: KeyWord[];
}
export interface GetKeyWordPrommpt extends PromptOptions {
    Default?: string;
    KeyWordList: KeyWord[];
    Modal?: boolean;
}
export interface GetStringPrompt extends PromptOptions {
    Default?: string;
}
export interface GetPointPrompt extends PromptOptions {
    BasePoint?: Vector3;
    RelativeBasePoint?: Vector3;
    Callback?: (pt: Vector3, intersection: Intersection) => void;
    AllowDrawRubberBand?: Boolean;
    NotShowDynPrompt?: boolean;
    /** 如果UCS和视图平行,则不捕捉Z轴 */
    NotSnapZ?: boolean;
    AllowNone?: boolean;
    Use2DCursor?: boolean;
    DisabledSnap?: boolean;
    DisabledBasePointSupportSnap?: boolean;
    Raycast?: boolean;
    RaycastFilter?: Filter;
    RaycastPreExecFunc?: Function;
    DisableAngleDynInput?: boolean;
    SupportSnapPoints?: Vector3[];
}
export interface GetDistendPrompt extends PromptOptions {
    BasePoint?: Vector3;
    DisabledBasePointSupportSnap?: boolean;
    DisableRubberBand?: boolean;
    Callback?: (dist: number, pt?: Vector3) => void;
    CalcDistance?: (ptBase: Vector3, pt: Vector3) => number;
    Default?: number;
}
export interface PromptRectPointOptions extends PromptOptions {
    BasePoint?: Vector3;
    Callback?: (p1UCS: Vector3, p2UCS: Vector3) => void;
    SupportSnapPoints?: Vector3[];
}
export interface GetEntityPrompt extends PromptOptions {
    NotNone?: boolean;
    UseSelect?: boolean;
    IsSelect?: boolean;
    Filter?: Filter;
    AllowAnyString?: boolean;
    Callback?: (res: PromptEntityResult) => void;
}
export interface GetSelectionPrompt extends PromptOptions {
    Once?: boolean;
    AllowNone?: boolean;
    UseSelect?: boolean;
    Filter?: Filter;
    SelectType?: SelectType;
    Callback?: (res: PromptSsgetResult) => void;
}
//# sourceMappingURL=PromptOptions.d.ts.map