import * as React from 'react';
import { Singleton } from "../../../../Common/Singleton";
export declare enum EOptionTabId {
    File = "file",
    Show = "xs",
    Sys = "sys",
    Draw = "ht",
    ChaiDan = "chaidan",
    Perf = "perf",
    TextStyle = "textstyle"
}
export declare class ConfigStore extends Singleton {
    oldBgcolor: string;
    oldLyBg: string;
    oldConceptualEdgeColor: number;
    oldPhysical2EdgeColor: number;
    oldViewSize: {
        minViewHeight: number;
        maxViewHeight: number;
        zoomSpeed: number;
    };
    oldOpenHistoryList: boolean;
    oldOpenLightConfig: boolean;
    checkSealing: boolean;
    sealingArr: [string, string][];
    OnCanel: () => void;
    OnOK: () => Promise<void>;
}
/**
 * 选项配置对话框(右键O呼出)
 */
export declare class ConfigDialog extends React.Component<{
    store: ConfigStore;
    selectedTabId: EOptionTabId;
}> {
    _selectedTabId: EOptionTabId;
    _curFileTitle: string;
    optionModal: HTMLElement;
    private event;
    constructor(props: any);
    set selectedTabId(TabId: EOptionTabId);
    RegisterHandleKeyBoardEvent(): void;
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    getFileName: () => Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=ConfigDialog.d.ts.map