import { ITreeNode } from "@blueprintjs/core";
import React from "react";
import { DirectoryId } from "../../../Common/Request";
import './RightMyMaterialPanel.less';
export interface IDirectoryProps {
    id: DirectoryId | string;
    path: string;
    pathNum: number[];
}
interface ICommonPanelState {
    nodes: ITreeNode[];
    defaultDirName: string;
    updateNode: ITreeNode;
}
interface ICommonPanelProps {
    defaultDirId: string;
    getUrl: string;
    dirNameFilter?: string[];
}
export declare class RightMaterialPanel extends React.Component<ICommonPanelProps, ICommonPanelState> {
    constructor(props: any);
    static CurrentDirCache: Map<string, IDirectoryProps>;
    _DataList: any[];
    _SelectIds: Set<string>;
    _CurrentDir: IDirectoryProps;
    _PageData: {
        count: number;
        currentPage: number;
        pageCount: number;
    };
    _SearchStr: string;
    _IdKey: string;
    _Events: Function[];
    _Tree: HTMLElement;
    _TimeId: any;
    get IsCtrlDown(): boolean;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    _HandleSelectData: (e: React.MouseEvent<HTMLInputElement>, data: any) => void;
    _SelectNode: (nodeData: ITreeNode, isSelected?: boolean) => void;
    _HandleNodeClick: (nodeData: ITreeNode, _nodePath: number[]) => Promise<void>;
    _ForEachNode(nodes: ITreeNode[], callback: (node: ITreeNode) => void): void;
    _GetCurrentDir: (dirId: React.ReactText, nodePath: number[]) => void;
    _ParseNodes: (dirs: any) => ITreeNode<{}>[];
    _HandleNodeCollapse: (nodeData: ITreeNode, isCollapse: boolean) => void;
    /**
    * 服务段获取数据
    * name-查询字符串,curr_page-当前页,dir_id:目录id
    *  desc 倒序
    */
    _HandleGetData: (queryData?: {
        dir_id?: string;
        name?: string;
        curr_page?: number;
    }) => Promise<void>;
    _HandleTreeMouseDown: (e: MouseEvent) => void;
    _LoadingData: () => Promise<void>;
    _LoadCurrentNode: (currentDirProps: IDirectoryProps) => void;
    _HandleSearch: (e: React.ChangeEvent<HTMLInputElement>) => Promise<void>;
}
export {};
//# sourceMappingURL=RightMaterialPanel.d.ts.map