import { Vector3 } from 'three';
import { DynamicInputManage } from './DynamicInputManage';
import { PromptBlock } from './PromptBlock';
/**
 * 拾取点的动态提示框,包括了一个提示字符串和三个值.
 */
export declare class GetPointPromptBlock extends PromptBlock {
    private pointValueDynInput;
    private relativeSpan;
    private regFunctions;
    constructor(dynamicInputManage: DynamicInputManage);
    set Relative(b: boolean);
    get Relative(): boolean;
    set Value(v: Vector3);
    get Value(): Vector3;
    Destroy(): void;
}
/**
 * 有基点的动态输入框 (拾取点)
 */
export declare class GetPoint2PromptBlock extends PromptBlock {
    private basePoint;
    private distanceDynIpt;
    private angleDynIpt;
    constructor(dynamicInputManage: DynamicInputManage, displayAngle?: boolean);
    set BasePoint(v: Vector3);
    get BasePoint(): Vector3;
    set Value(v: Vector3);
    get Dist(): number;
    get Value(): Vector3;
    Destroy(): void;
}
//# sourceMappingURL=GetPointPromptBlock.d.ts.map