import { EBoardKeyList } from "../../Common/BoardKeyList";
import { IBaseOption } from "./BoardInterface";
export declare enum EWineRackType {
    Oblique = 0,
    Upright = 1
}
/**酒格样式 */
export declare enum EWineRackStyle {
    WholeLattice = 0,
    Semilattice = 1
}
export declare enum EWRackArrayType {
    ByWidth = 0,
    ByCount = 1,
    Fixed = 2
}
/**铺满方式 */
export declare enum EFullType {
    ByHeight = 0,
    ByWidth = 1,
    Symmetry = 2
}
/**高度优先时靠左还是靠右 */
export declare enum EFullDir {
    Left = 0,
    Right = 1
}
export interface IWineRackOption extends IBaseOption {
    type: EWineRackType;
    wineRackStyle: EWineRackStyle;
    arrayType: EWRackArrayType;
    fullType: EFullType;
    isFull: boolean;
    fullDir: EFullDir;
    isLock: boolean;
    heightCount: number;
    widthCount: number;
    isTotalDepth: boolean;
    depth: number;
    calcDepth: string;
    gripWidth: number;
    boardThick: number;
    grooveWidthAdd: number;
    leftEdge: number;
    rightEdge: number;
    topEdge: number;
    bottomEdge: number;
    frontCut: number;
    leftCut: number;
    rightCut: number;
    topCut: number;
    grooveLengthAdd: number;
    isDrawLy: boolean;
    isDrawVer: boolean;
    brThick2: number;
    isExtendsBH2: boolean;
    followNarrow: boolean;
}
export interface IR2WROption {
    depth: number;
    addLen: number;
    knifeRadius: number;
    [EBoardKeyList.UpSealed]: number;
    [EBoardKeyList.DownSealed]: number;
    [EBoardKeyList.LeftSealed]: number;
    [EBoardKeyList.RightSealed]: number;
}
//# sourceMappingURL=WineRackInterface.d.ts.map